/*

  sshadt_bag.h

  Author: Antti Huima <huima@ssh.fi>

  Copyright (c) 1999, 2000 SSH Communications Security, Finland
  All rights reserved.

  Created Fri Sep 24 13:24:19 1999.

  */

#ifndef SSH_ADT_BAG_H_INCLUDED
#define SSH_ADT_BAG_H_INCLUDED

#include "sshadt.h"


extern const SshADTContainerType ssh_adt_bag_type;

#define SSH_ADT_BAG (ssh_adt_bag_type)

/* Tell the bag object that the object at `object_with_changed_contents' has
   been changed [and that its hash value should be recomputed]. */
Boolean ssh_adt_bag_changed(SshADTContainer bag,
                            SshADTHandle object_with_changed_contents);

/* Use this instead of SshADTHeaderStruct if you want to save 8 bytes
   of memory per header.  */
typedef struct {
  Boolean a; void *b, *c;
} SshADTBagHeaderStruct;


#endif /* SSH_ADT_BAG_H_INCLUDED */
